# Method: accounts.verifyphonenumber

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/verifyphonenumber#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/verifyphonenumber#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/verifyphonenumber#body.request_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/verifyphonenumber#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/verifyphonenumber#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/verifyphonenumber#body.VerifyPhoneNumberResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/verifyphonenumber#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/accounts/verifyphonenumber#try-it)

Validates verification code to verify phone number for the account. If successful this will overwrite the value of `accounts.businessinformation.phoneNumber`. Only verified phone number will replace an existing verified phone number.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/accounts/{accountId}/verifyphonenumber`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and accountId must be the ID of a sub-account of this account. |
| `accountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the account. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "verificationId": string, "verificationCode": string, "phoneVerificationMethod": enum (`https://developers.google.com/shopping-content/reference/rest/v2.1/PhoneVerificationMethod`) } ``` |

| Fields ||
|---|---|
| `verificationId` | `string` The verification ID returned by `requestphoneverification`. |
| `verificationCode` | `string` The verification code that was sent to the phone number for validation. |
| `phoneVerificationMethod` | ``enum (`https://developers.google.com/shopping-content/reference/rest/v2.1/PhoneVerificationMethod`)`` Verification method used to receive verification code. |

### Response body

Response message for the accounts.verifyphonenumber method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "verifiedPhoneNumber": string } ``` |

| Fields ||
|---|---|
| `verifiedPhoneNumber` | `string` Verified phone number if verification is successful. This phone number can only be replaced by another verified phone number. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).